Subject: Re: bug#12872: 24.2; Provide a feature to trigger mode-line redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Dec 2021 09:54:38 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Dec 2021 05:46:57 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This is a feature request: provide a way to trigger mode-line
> > redisplay when the current line changes.  This is so the mode line
> > could display information about the current line.
> >
> > See the discussion of bug #12867 for more context.
> 
> I've skimmed both these bug reports, but I'm still not sure I understand
> the problem.  `force-mode-line-update' has existed since forever, I
> think?  Doesn't it do what it's supposed to?  (And it can be run from
> post-command-hook if that's what Drew wants.)

force-mode-line-update is a blunt weapon, and causes a much more
thorough redisplay than its name says.  And post-command-hook is not
the best method of achieving the desired goal, since it runs after
_every_ command, not just a command that changes the line of point.